Merge branch 'w03_MDL-31161_m23_reqpluginnotice' of git://github.com/skodak/moodle
authorEloy Lafuente (stronk7) <stronk7@moodle.org>
Tue, 17 Jan 2012 01:05:53 +0000 (02:05 +0100)
committerEloy Lafuente (stronk7) <stronk7@moodle.org>
Tue, 17 Jan 2012 01:05:53 +0000 (02:05 +0100)
1  2 
admin/renderer.php

diff --combined admin/renderer.php
@@@ -57,26 -57,6 +57,26 @@@ class core_admin_renderer extends plugi
          return $output;
      }
  
 +    /**
 +     * Display page explaining proper upgrade process,
 +     * there can not be any PHP file leftovers...
 +     *
 +     * @return string HTML to output.
 +     */
 +    public function upgrade_stale_php_files_page() {
 +        $output = '';
 +        $output .= $this->header();
 +        $output .= $this->heading(get_string('upgradestalefiles', 'admin'));
 +        $output .= $this->box_start('generalbox', 'notice');
 +        $output .= get_string('upgradestalefilesinfo', 'admin', get_docs_url('Upgrading'));
 +        $output .= html_writer::empty_tag('br');
 +        $output .= html_writer::tag('div', $this->single_button($this->page->url, get_string('reload'), 'get'), array('class' => 'buttons'));
 +        $output .= $this->box_end();
 +        $output .= $this->footer();
 +
 +        return $output;
 +    }
 +
      /**
       * Display the 'environment check' page that is displayed during install.
       * @param int $maturity
              return '';
          }
  
 -        return $this->warning(get_string('sitemaintenancewarning2', 'admin',
 -                new moodle_url('/admin/settings.php', array('section' => 'maintenancemode'))));
 +        $url = new moodle_url('/admin/settings.php', array('section' => 'maintenancemode'));
 +        $url = $url->out(); // get_string() does not support objects in params
 +
 +        return $this->warning(get_string('sitemaintenancewarning2', 'admin', $url));
      }
  
      /**
  
              if (is_null($otherplugin)) {
                  $ok = false;
-             }
-             if ($requiredversion != ANY_VERSION and $otherplugin->versiondisk < $requiredversion) {
+             } else if ($requiredversion != ANY_VERSION and $otherplugin->versiondisk < $requiredversion) {
                  $ok = false;
              }